Download OpenAPI specification:Download
This operation provides support for retrieving all the Live Copy Sources accessible to the current user, determined via the applied request authorization. By default this call will return a maximum of 50 items. The caller can define other limits suited to their application (see the limit query parameter), but the limit cannot be higher than 50. To ask for the next set of items pass the value of the cursor provided in the response to the cursor query parameter.
| If-None-Match | string The For more details, please head over to RFC9110. |
List of Live Copy Sources.
Not Modified
Unauthorized
Forbidden
Unacceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
The server encountered an unexpected error. Retrying the request after a certain time could help.
{- "items": [
- {
- "sourcePath": "string",
- "sourceId": "49af775d-0e7a-46c3-913d-00f762528373",
- "liveCopies": [
- {
- "liveCopyId": "49af775d-0e7a-46c3-913d-00f762528373",
- "rootPath": "string"
}
]
}
], - "cursor": "string"
}| If-None-Match | string The For more details, please head over to RFC9110. |
Live Copy Source found
Not Modified
Unauthorized
Forbidden
Not Found
Unacceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
The server encountered an unexpected error. Retrying the request after a certain time could help.
{- "sourcePath": "string",
- "sourceId": "49af775d-0e7a-46c3-913d-00f762528373",
- "liveCopies": [
- {
- "liveCopyId": "49af775d-0e7a-46c3-913d-00f762528373",
- "rootPath": "string"
}
]
}This operation provides support for retrieving all the Live Copies accessible to the current user, determined via the applied request authorization. By default this call will return a maximum of 50 items. The caller can define other limits suited to their application (see the limit query parameter), but the limit cannot be higher than 50. To ask for the next set of items pass the value of the cursor provided in the response to the cursor query parameter.
| If-None-Match | string The For more details, please head over to RFC9110. |
List of Live Copies
Not Modified
Bad Request. The Problem Details object will provide more information about the exact cause.
Unauthorized
Forbidden
Unacceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
The server encountered an unexpected error. Retrying the request after a certain time could help.
{- "items": [
- {
- "sourcePath": "string",
- "sourceId": "49af775d-0e7a-46c3-913d-00f762528373",
- "liveCopyId": "49af775d-0e7a-46c3-913d-00f762528373",
- "rootPath": "string",
- "title": "string",
- "name": "string",
- "shallow": true,
- "rolloutConfigs": [
- "string"
], - "lastRolledOut": "2019-08-24T14:15:22Z",
- "lastRolledOutBy": "string",
- "inSync": true,
- "isSuspended": true,
- "isCancelledForChildren": true
}
], - "cursor": "string"
}| If-None-Match | string The For more details, please head over to RFC9110. |
Live Copy found
Not Modified
Unauthorized
Forbidden
Not Found
Unacceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
The server encountered an unexpected error. Retrying the request after a certain time could help.
{- "sourcePath": "string",
- "sourceId": "49af775d-0e7a-46c3-913d-00f762528373",
- "liveCopyId": "49af775d-0e7a-46c3-913d-00f762528373",
- "rootPath": "string",
- "title": "string",
- "name": "string",
- "shallow": true,
- "rolloutConfigs": [
- "string"
], - "lastRolledOut": "2019-08-24T14:15:22Z",
- "lastRolledOutBy": "string",
- "inSync": true,
- "isSuspended": true,
- "isCancelledForChildren": true
}This operation deletes a Live Copy, given the appropriate parameters.
The ETag value required by the If-Match header must contain the value of the ETag header returned by the corresponding GET request.
| If-Match required | string The For more details, please head over to RFC9110. |
No Content
Bad Request. The Problem Details object will provide more information about the exact cause.
Forbidden
Not Found
Precondition Failed
Precondition Required
The server encountered an unexpected error. Retrying the request after a certain time could help.
{- "title": "Bad Request",
- "status": 400,
- "detail": "Bad request, please check that you have provided the correct parameters and that they are valid."
}This operation triggers a synchronize (rollout) operation for a specific Live Copy.
This is an asynchronous operation. Please follow the URL from the Location header to get the status of the Job that creates the Rollout Job.
Bad Request. The Problem Details object will provide more information about the exact cause.
Unauthorized
Forbidden
Not Found
Unacceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Unsupported Media Type. When provided as a response to a PATCH request,
the response will provide an Accept-Patch response header to notify
the client what patch document media types are supported.
The server encountered an unexpected error. Retrying the request after a certain time could help.
{- "value": {
- "granularRolloutDetails": {
- "includeResourceIds": [
- "49af775d-0e7a-46c3-913d-00f762528374",
- "49af775d-0e7a-46c3-913d-00f762528375"
]
}, - "scheduledDate": "2025-07-08T11:53:00.000+03:00"
}
}{- "title": "Bad Request",
- "status": 400,
- "detail": "Bad request, please check that you have provided the correct parameters and that they are valid."
}This operation permanently detaches a Live Copy from its source. Once detached, the content will no longer inherit values from the source or participate in rollouts.
This action cannot be undone. The ETag value required by the If-Match header must contain
the value of the ETag header returned by the corresponding GET request for the Live Copy.
| If-Match required | string The For more details, please head over to RFC9110. |
No Content
Bad Request. The Problem Details object will provide more information about the exact cause.
Unauthorized
Forbidden
Not Found
Precondition Failed
Precondition Required
The server encountered an unexpected error. Retrying the request after a certain time could help.
{- "title": "Bad Request",
- "status": 400,
- "detail": "Bad request, please check that you have provided the correct parameters and that they are valid."
}This operation suspends inheritance and rollout activities for a specific Live Copy. Suspending this Live Copy will temporarily stop inheritance and rollout activities. Updates from its source will not be received while suspended. You can resume it at any time.
No Content
Bad Request. The Problem Details object will provide more information about the exact cause.
Unauthorized
Forbidden
Not Found
The server encountered an unexpected error. Retrying the request after a certain time could help.
{- "title": "Bad Request",
- "status": 400,
- "detail": "Bad request, please check that you have provided the correct parameters and that they are valid."
}This operation resumes a specific Live Copy. Resuming this Live Copy will restore inheritance and rollout activities. It will begin receiving updates from its source again.
No Content
Bad Request. The Problem Details object will provide more information about the exact cause.
Unauthorized
Forbidden
Not Found
The server encountered an unexpected error. Retrying the request after a certain time could help.
{- "title": "Bad Request",
- "status": 400,
- "detail": "Bad request, please check that you have provided the correct parameters and that they are valid."
}This operation resets a Live Copy, restoring full inheritance from its source. It is equivalent to a Resume + Rollout. All field values will be replaced with those from the source, including any fields where inheritance was previously overridden.
The ETag value required by the If-Match header must contain the value of the
ETag header returned by the corresponding GET request for the Live Copy.
| If-Match required | string The For more details, please head over to RFC9110. |
This is an asynchronous operation. Please follow the URL from the Location header to get the status of the Job that executes the Rollout, which is the second step of the Reset operation.
Bad Request. The Problem Details object will provide more information about the exact cause.
Unauthorized
Forbidden
Not Found
Precondition Failed
Precondition Required
The server encountered an unexpected error. Retrying the request after a certain time could help.
{- "value": {
- "scheduledDate": "2025-07-08T11:53:00.000+03:00"
}
}{- "title": "Bad Request",
- "status": 400,
- "detail": "Bad request, please check that you have provided the correct parameters and that they are valid."
}This operation provides support for retrieving all the elements of this Live Copy accessible to the current
user that have a broken inheritance relationship. Depending on the liveCopyId, the response will be
either a combination of Resources and paths (in case the liveCopyId parameter indicates a Page Live
Copy) or a combination of variation and fields (in case the liveCopyId parameter indicates a Content
Fragment Live Copy).
By default this call will return a maximum of 50 items. The caller can define other limits suited to their
application (see the limit query parameter), but the limit cannot be higher than 50. To ask for the next
set of items pass the value of the cursor provided in the response to the cursor query parameter.
| If-None-Match | string The For more details, please head over to RFC9110. |
List of broken inheritance elements
Not Modified
Bad Request. The Problem Details object will provide more information about the exact cause.
Unauthorized
Forbidden
Unacceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
The server encountered an unexpected error. Retrying the request after a certain time could help.
{- "items": [
- {
- "type": "resource",
- "id": "49af775d-0e7a-46c3-913d-00f762528370",
- "items": [
- "/content/we-retail/us/en/jcr:content/root/responsivegrid",
- "/content/we-retail/us/en/jcr:content/root/image1"
], - "synchronizationType": "full"
}, - {
- "type": "content-fragment",
- "id": "49af775d-0e7a-46c3-913d-00f762528372",
- "synchronizationType": "selectedItems",
- "items": [
- {
- "isMasterVariation": true,
- "variationName": "variationName1",
- "fields": [
- "field1",
- "field2"
]
}
]
}
], - "cursor": "string"
}This operation triggers a modify inheritance operation for a specific Live Copy. It can be used to break or restore inheritance for a given resource within the specified live copy.
| If-Match required | string The For more details, please head over to RFC9110. |
required | Array of objects (InheritanceElement) List of children Sub-Resources or Content Fragments of the current Live Copy (liveCopyId). |
The Updated List of broken inheritance elements
Bad Request. The Problem Details object will provide more information about the exact cause.
Unauthorized
Forbidden
Unacceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Precondition Failed
Unsupported Media Type. When provided as a response to a PATCH request,
the response will provide an Accept-Patch response header to notify
the client what patch document media types are supported.
The server encountered an unexpected error. Retrying the request after a certain time could help.
{- "items": [
- {
- "type": "resource",
- "id": "49af775d-0e7a-46c3-913d-00f762528370",
- "items": [
- "/content/we-retail/us/en/jcr:content/root/responsivegrid",
- "/content/we-retail/us/en/jcr:content/root/image1"
], - "synchronizationType": "full"
}, - {
- "type": "content-fragment",
- "id": "49af775d-0e7a-46c3-913d-00f762528372",
- "synchronizationType": "selectedItems",
- "items": [
- {
- "isMasterVariation": true,
- "variationName": "variationName1",
- "fields": [
- "field1",
- "field2"
]
}
]
}
]
}{- "items": [
- {
- "type": "resource",
- "id": "49af775d-0e7a-46c3-913d-00f762528370",
- "items": [
- "/content/we-retail/us/en/jcr:content/root/responsivegrid",
- "/content/we-retail/us/en/jcr:content/root/image1"
], - "synchronizationType": "full"
}, - {
- "type": "content-fragment",
- "id": "49af775d-0e7a-46c3-913d-00f762528372",
- "synchronizationType": "selectedItems",
- "items": [
- {
- "isMasterVariation": true,
- "variationName": "variationName1",
- "fields": [
- "field1",
- "field2"
]
}
]
}
]
}This operation creates a Live Copy, starting from a Live Copy Source, given the appropriate parameters.
This is an asynchronous operation. Please follow the URL from the Location header to get the status of the Job that creates the Live Copy.
Bad Request. The Problem Details object will provide more information about the exact cause.
Unauthorized
Forbidden
Not Found
Unacceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Unsupported Media Type. When provided as a response to a PATCH request,
the response will provide an Accept-Patch response header to notify
the client what patch document media types are supported.
The server encountered an unexpected error. Retrying the request after a certain time could help.
{- "value": {
- "destinationPath": "/content/wknd/es",
- "title": "sampleTitle",
- "name": "sampleName",
- "shallow": false,
- "scheduledDate": "2025-07-08T11:53:00.000+03:00",
- "rolloutConfigs": [
- "/libs/msm/wcm/rolloutconfigs/default",
- "/libs/msm/wcm/rolloutconfigs/pushonmodify"
]
}
}{- "title": "Bad Request",
- "status": 400,
- "detail": "Bad request, please check that you have provided the correct parameters and that they are valid."
}This operation creates multiple Live Copies to different destinations, starting from a Live Copy Source, given the appropriate parameters. Returns a 200 OK response with job IDs for tracking the individual Live Copy creation jobs.
Multiple Live Copy creation jobs have been initiated successfully
Bad Request. The Problem Details object will provide more information about the exact cause.
Unauthorized
Forbidden
Not Found
Unacceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Unsupported Media Type. When provided as a response to a PATCH request,
the response will provide an Accept-Patch response header to notify
the client what patch document media types are supported.
The server encountered an unexpected error. Retrying the request after a certain time could help.
{- "value": {
- "destinationPaths": [
- "/content/wknd/es",
- "/content/wknd/it",
- "/content/wknd/fr"
], - "title": "sampleTitle",
- "name": "sampleName",
- "shallow": false,
- "scheduledDate": "2025-07-08T11:53:00.000+03:00",
- "rolloutConfigs": [
- "/libs/msm/wcm/rolloutconfigs/default",
- "/libs/msm/wcm/rolloutconfigs/pushonmodify"
]
}
}{- "value": {
- "jobs": [
- {
- "jobId": "job-12345",
- "destinationPath": "/content/wknd/es"
}, - {
- "jobId": "job-12346",
- "destinationPath": "/content/wknd/it"
}, - {
- "jobId": "job-12347",
- "destinationPath": "/content/wknd/fr"
}
]
}
}This operation triggers a rollout operation, starting from a Live Copy Source, given the appropriate parameters.
This is an asynchronous operation. Please follow the URL from the Location header to get the status of the Job that creates the Rollout Job.
Bad Request. The Problem Details object will provide more information about the exact cause.
Unauthorized
Forbidden
Not Found
Unacceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Unsupported Media Type. When provided as a response to a PATCH request,
the response will provide an Accept-Patch response header to notify
the client what patch document media types are supported.
The server encountered an unexpected error. Retrying the request after a certain time could help.
{- "value": {
- "destinationLiveCopies": [
- {
- "destinationLiveCopyId": "49af775d-0e7a-46c3-913d-00f762528371"
}, - {
- "destinationLiveCopyId": "49af775d-0e7a-46c3-913d-00f762528372",
- "includeResourceIds": [
- "49af775d-0e7a-46c3-913d-00f762528374",
- "49af775d-0e7a-46c3-913d-00f762528375"
]
}, - {
- "destinationLiveCopyId": "49af775d-0e7a-46c3-913d-00f762528373",
- "excludeResourceIds": [
- "49af775d-0e7a-46c3-913d-00f762528376",
- "49af775d-0e7a-46c3-913d-00f762528377"
]
}
], - "scheduledDate": "2025-07-08T11:53:00.000+03:00",
- "shallow": false,
- "publishOnRollout": false
}
}{- "title": "Bad Request",
- "status": 400,
- "detail": "Bad request, please check that you have provided the correct parameters and that they are valid."
}This operation retrieves the MSM (Multi-Site Manager) status for a given resource. It indicates whether the resource is a blueprint (Live Copy Source), a Live Copy, both, or neither.
A 200 response with isBlueprint: false and isLiveCopy: false indicates that the resource
exists but has no MSM relationships.
| If-None-Match | string The For more details, please head over to RFC9110. |
MSM status retrieved successfully. The response indicates whether the resource is a blueprint, a live copy, both, or neither.
Not Modified
Bad Request. The Problem Details object will provide more information about the exact cause.
Unauthorized
Forbidden
Not Found
Unacceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
The server encountered an unexpected error. Retrying the request after a certain time could help.
{- "isBlueprint": true,
- "isLiveCopy": false
}Get information about the processing of the Job
Job is processing.
Job completed.
Unauthorized
Forbidden
Not Found
Unacceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Unsupported Media Type. When provided as a response to a PATCH request,
the response will provide an Accept-Patch response header to notify
the client what patch document media types are supported.
The server encountered an unexpected error. Retrying the request after a certain time could help.
{- "state": "ACTIVE"
}Job completed.
Bad Request. The Problem Details object will provide more information about the exact cause.
Unauthorized
Forbidden
Not Found
Unacceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Unsupported Media Type. When provided as a response to a PATCH request,
the response will provide an Accept-Patch response header to notify
the client what patch document media types are supported.
The server encountered an unexpected error. Retrying the request after a certain time could help.
{- "operation": "aem.msm.source.rollout",
- "status": 500,
- "description": "The job encountered an error during processing",
- "data": {
- "state": "ERROR"
}, - "errors": [
- {
- "type": "internal.error",
- "title": "An internal server error was encountered while executing the job"
}
]
}